<?php 
use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

$app->post('/referenciaPDFGenAbono',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespachoNuevo();  $paso=$a->referenciaPDFGenAbono($post["genAbono"],$post["referencia"],$post["idEmpresa"]??"1");
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/referenciaPDFVenta',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespachoNuevo();  $paso=$a->referenciaPDFVenta($post["idVenta"],$post["referencia"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/referenciaPDFAbono',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespachoNuevo();  $paso=$a->referenciaPDFAbono($post["idPago"],$post["referencia"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/ventaVendedorGeneral',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespachoNuevo();  $paso=$a->venta_vendedor_general($post["idVendedor"],$post["pagina"],$post["idBodega"],$post["busqueda"],$post["control"],$post["mes"]??"01",$post["ann"]??"2024",$post["idEmpresa"]??"1");
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/ubicacionControl',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespachoNuevo();  $paso=$a->ubicacionControl($post["id"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/agregarMovimiento',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespachoNuevo();  $paso=$a->agregarMovimiento($post["movimiento"],$post["id"],$post["idUsuario"],$post["bandera"],$post["idEmpresa"]??"1");
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/actuAuxPicking',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespachoNuevo();  $paso=$a->actuAuxPicking($post["auxPicking"]??"null",$post["relArray"],$post["idVenta"],$post["idProducto"],$post["agregado"]??"vacio",$post["ubicacionAntigua"]??"null");
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/actualizarRelUbicacion',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespachoNuevo();  $paso=$a->actualizarRelMasivoUbica($post["cantidad"],$post["idVenta"],$post["idpr"],$post["control"],$post["idBodega"]??"6",$post["ubicacion"],$post["traslado"],$post["cantidadRelArray"],$post["idEmpresa"]??"1");
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/actualizarRelCeroUbicacion',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespachoNuevo(); $paso=$a->actualizar_rel_cero_ubicacion($post["cantidad"],$post["idVenta"],$post["idpr"],$post["idBodega"]??"6",$post["traslado"],$post["ubicacion"]);
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/movimientoGestion',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespachoNuevo(); $a1=$a->consultaMovimientoGestion($post["idVenta"]);
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/corroborarRelGeneral',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespachoNuevo(); $a1=$a->corroborar_rel_general($post["idVenta"],$post["lista"],$post["idBodega"]??"6");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/reiniciarRelGeneral',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespachoNuevo(); $a1=$a->reiniciar_rel_general($post["idVenta"],$post["idBodega"]??"6");
$res->getBody()->write($a1); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/actualizarRel',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespachoNuevo(); $paso=$a->actualizar_rel($post["cantidad"],$post["idVenta"],$post["idpr"],$post["control"],$post["ubicacion"],$post["idBodega"]??"6",$post["traslado"]??"0");
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});

$app->post('/actualizarRelCero',function (Request $pedido, Response $res, $args) { $post=$pedido->getParsedBody(); 
$a=new ConsultaDespachoNuevo(); $paso=$a->actualizar_rel_cero($post["cantidad"],$post["idVenta"],$post["idpr"],$post["idBodega"]??"6");
$res->getBody()->write($paso); return $res->withHeader('Content-Type', 'application/json');});
?>
